Build #2 for copilot-theorem-3.0

[all reports]

Package copilot-theorem-3.0
Install DependencyFailed copilot-theorem-3.0
Docs NotTried
Tests NotTried
Time submitted 2019-04-01 22:41:14.945344981 UTC
Compiler ghc-8.6.3
OS linux
Arch x86_64
Dependencies ansi-terminal-0.9, base-4.12.0.0, bimap-0.3.3, containers-0.6.0.1, copilot-core-3.0, data-default-0.7.1.1, directory-1.3.3.0, mtl-2.2.2, parsec-3.1.13.0, pretty-1.1.3.6, process-1.6.3.0, random-1.1, transformers-0.5.5.0, xml-1.3.14
Flags none

Build log

[view raw]

Warning: The install command is a part of the legacy v1 style of cabal usage.

Please switch to using either the new project style and the new-install
command or the legacy v1-install alias as new-style projects will become the
default in the next version of cabal-install. Please file a bug if you cannot
replicate a working v1- use case with the new-style commands.

For more information, see: https://wiki.haskell.org/Cabal/NewBuild

Resolving dependencies...
Starting     data-default-class-0.1.2.0
Starting     dlist-0.8.0.6
Starting     colour-2.3.4
Starting     old-locale-1.0.0.7
Building     data-default-class-0.1.2.0
Building     colour-2.3.4
Building     dlist-0.8.0.6
Building     old-locale-1.0.0.7
Completed    old-locale-1.0.0.7
Starting     random-1.1
Completed    data-default-class-0.1.2.0
Starting     transformers-compat-0.6.3
Building     random-1.1
Building     transformers-compat-0.6.3
Completed    dlist-0.8.0.6
Starting     xml-1.3.14
Failed to install transformers-compat-0.6.3
Build log ( /home/builder/.cabal/logs/ghc-8.6.3/transformers-compat-0.6.3-8J5sQDqjcykKMT9EWJuWmO.log ):
cabal: Entering directory '/tmp/cabal-tmp-23487/transformers-compat-0.6.3'
Configuring transformers-compat-0.6.3...
Preprocessing library for transformers-compat-0.6.3..
Building library for transformers-compat-0.6.3..
[1 of 4] Compiling Control.Monad.Trans.Instances ( src/Control/Monad/Trans/Instances.hs, dist/build/Control/Monad/Trans/Instances.o )

src/Control/Monad/Trans/Instances.hs:610:10: error:
    Duplicate instance declarations:
      instance MonadFix m => MonadFix (ListT m)
        -- Defined at src/Control/Monad/Trans/Instances.hs:610:10
      instance [safe] MonadFix m => MonadFix (ListT m)
        -- Defined in ‘Control.Monad.Trans.List’
    |
610 | instance (MonadFix m) => MonadFix (ListT m) where
    |          ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
cabal: Leaving directory '/tmp/cabal-tmp-23487/transformers-compat-0.6.3'
Starting     data-default-instances-old-locale-0.0.1
Building     xml-1.3.14
Building     data-default-instances-old-locale-0.0.1
Completed    data-default-instances-old-locale-0.0.1
Completed    random-1.1
Completed    colour-2.3.4
Completed    xml-1.3.14
cabal: Error: some packages failed to install:
bimap-0.3.3-C2vAOlbXpmHKR3koCwl6pm depends on bimap-0.3.3 which failed to
install.
copilot-theorem-3.0-6l9oGM5LvjE8i0AVgpCkWg depends on copilot-theorem-3.0
which failed to install.
exceptions-0.10.1-LJQK6tPYLpA2GwdrZBxobP depends on exceptions-0.10.1 which
failed to install.
transformers-compat-0.6.3-8J5sQDqjcykKMT9EWJuWmO failed during the building
phase. The exception was:
ExitFailure 1